petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUSPReplaceArray

Allows one to replace the CUSPARRAY in a vector with a CUSPARRAY provided by the user. This is useful to avoid copying a CUSPARRAY into a vector.

### Synopsis

    PetscErrorCode VecCUSPReplaceArray(Vec vin,CUSPARRAY *a)

Not Collective Many br

### Input Parameters

| vec | - the vector Many br
| array | - the CUSPARRAY Many br

### Notes

This permanently replaces the CUSPARRAY and frees the memory associated Many brwith the old CUSPARRAY. Many br

The memory passed in CANNOT be freed by the user. It will be freed Many brwhen the vector is destroy. Many br

Not supported from Fortran Many br

Many br

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray(), VecCUSPResetArray(), VecCUSPPlaceArray(), VecReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages